export interface MusicItem {
    fileName: string;
    fileSize: number;
    modifiedTime: number;
}

export interface FileList {
    subFolderList: string[];
    musicList: MusicItem[];
}

export interface FileListResult {
    type: string;
    data: FileList;
}

export interface FileListResponse {
    status: number;
    message: string;
    result: FileListResult;
}