import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-foldernav',
  templateUrl: './foldernav.component.html',
  styleUrls: ['./foldernav.component.css']
})
export class FoldernavComponent implements OnInit {

  @Input() playlists : string[] = [];
  @Output() requestPlaylistEvent = new EventEmitter<string>();

  constructor() { }

  ngOnInit(): void {
  }

  requestPlaylist(playlistName : string): void {
    this.requestPlaylistEvent.emit(playlistName);
  }
}
